> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/local-governance/access/local-governance-stack/citizen-engagement-module/survey/survey-service-configuration/help-faq-section-citizen-ui.md).

# Help/FAQ Section - Citizen UI

**Objective:** To enable citizens to access contextual help and information with links to various features such as Pay Via WhatsApp.&#x20;

## Help Section <a href="#objective" id="objective"></a>

### Workflow Details  <a href="#objective" id="objective"></a>

The feature provides users with tenant-specific data.&#x20;

![](https://content.gitbook.com/content/OorNqx5By246mkjipsn7/blobs/nJbZZ9JzJGDhYlDqtEbS/image.png)

### Technical Implementation <a href="#objective" id="objective"></a>

#### **Dynamic Data**

The dynamic data is displayed in range cells. We get the dynamic data from the particular service APIs. These APIs enable open search so citizen users can check these data even if they are not logged in.

### **MDMS Data**

Static data like Helpline, Service Center, Pay Via WhatsApp link and validity of an application is fetched from the MDMS config.

If we do not want any cards displayed, this can be removed from MDMS for the particular service.

{% code lineNumbers="true" %}

```
 "MdmsCriteria": {
        "tenantId": "pb",
        "moduleDetails": [
            {
                "moduleName": "common-masters",
                "masterDetails": [
                    {
                        "name": "StaticData"
                    }
                ]
            }
        ]
    }
```

{% endcode %}

#### Add links to FAQs and How it works for each module: <a href="#add-link-to-faqs-and-how-it-works-for-each-module" id="add-link-to-faqs-and-how-it-works-for-each-module"></a>

We can add FAQs and the How it Works links in the MDMS for each service.

**Navigation URL for FAQs: `"/digit-ui/citizen/{module}-faq"`**&#x20;

(Replace `{module}` with moduleCode. For Ex: `"/digit-ui/citizen/pt-faq"`)

**Navigation URL for How it works : `"/digit-ui/citizen/{module}-how-it-works"`**&#x20;

(Replace `{module}` with moduleCode. For Ex: `"/digit-ui/citizen/pt-how-it-works"`)

![](https://content.gitbook.com/content/OorNqx5By246mkjipsn7/blobs/jpmEbBBbuok6PlcF6Q3x/image.png)

**Object reference:**

`{"id": 2331,`

`"name": "PT_FAQ_S",`

`"url": "digit-ui-card",`

`"displayName": "FAQs",`

`"orderNumber": 1,`

`"parentModule": "PT",`

`"enabled": true,`

`"navigationURL": "/digit-ui/citizen/pt-faq",`

`"leftIcon": "propertyIcon",`

`"sidebar": "digit-ui-links",`

`"sidebarURL": "/digit-ui/citizen/pt-home" }`

## FAQs <a href="#faqs" id="faqs"></a>

### **Workflow Details**

Users can check for frequently asked / common questions on this page.

We are using a common screen for all module FAQs. Based on the module code, the FAQs are rendered from MDMS.

![](https://content.gitbook.com/content/OorNqx5By246mkjipsn7/blobs/gmCrnlDqZzrtyCuEOm9e/image.png)

### Technical Implementation&#x20;

**Add new FAQs to the list:** We can add new FAQs to the list by adding a new object in the MDMS config for the respective service.

**Object reference:**

`"TL" : {`

`"faqs": [{`

`"question": "TL_FAQ_QUES_ONE",`

`"answer": "TL_FAQ_ANS_ONE"}`

`]}`

### **MDMS Data**

FAQs are added for each service from the MDMS configuration. More FAQs can be added in the MDMS and those will be shown in the UI.

{% code lineNumbers="true" %}

```
 "MdmsCriteria": {
        "tenantId": "pb",
        "moduleDetails": [
            {
                "moduleName": "common-masters",
                "masterDetails": [
                    {
                        "name": "faqs"
                    }
                ]
            }
        ]
    }
```

{% endcode %}

## **How It Works Section**

### **Workflow Details**

Users can check what they can do or how they can get the benefits of a particular service.

A common screen is used for all the modules in the How it Works section. Based on the module code, the cards are rendered from MDMS.

**Add a new Card to the list:** We can add a new Card to the list by adding a new object in the MDMS config for the respective service.

On Language change, the link to the videos also changes.

![](https://content.gitbook.com/content/OorNqx5By246mkjipsn7/blobs/IHL8BAo1108IJiHYsXMh/image.png)

### Technical Implementation&#x20;

**Object reference:**

`{"moduleCode" : "PT",`

`"videosJson": [{`

`"headerLabel": "ADD_PROPERTY",`

`"description": "ADD_PROPERTY_VIDEO_DESC",`

`"en_IN": "http://media.w3.org/2010/05/sintel/trailer.mp4",`

`"hi_IN": "http://media.w3.org/2010/05/sintel/trailer.mp4"},`

`"pdfHeader": "CITIZEN_CHARTER_DOCUMENT",`

`"pdfDesc": "CITIZEN_CHARTER_DOC_DESC"}`

### **MDMS Data**

How it works properties and video links are added for each service from MDMS Config.

```
 "MdmsCriteria": {
        "tenantId": "pb",
        "moduleDetails": [
            {
                "moduleName": "common-masters",
                "masterDetails": [
                    {
                        "name": "howItWorks"
                    }
                ]
            }
        ]
    }
```

#### **API Calls To Fetch Dynamic Data**

<table><thead><tr><th width="76">#</th><th width="103">Service</th><th>Navigation Screen URL</th><th>API</th><th>Payload Params</th></tr></thead><tbody><tr><td>1</td><td>PT</td><td><code>digit-ui/citizen/pt-home</code></td><td><code>property-services/property/_search</code></td><td><code>{</code><br><code>tenantId : ""</code><br><code>fromDate :</code><br><code>toDate :</code><br><code>status : "ACTIVE"</code><br><code>}</code></td></tr><tr><td>2</td><td>TL</td><td><code>digit-ui/citizen/tl-home</code></td><td><code>tl-services/v1/_search</code></td><td><p><code>{</code><br><code>tenantId : ""</code></p><p><code>}</code></p></td></tr><tr><td>3</td><td>WS</td><td><code>digit-ui/citizen/ws-home</code></td><td><code>inbox/v1/dss/_search</code></td><td><p><code>{</code></p><p><code>module: "WS"</code></p><p><code>tenantId: ""</code></p><p><code>}</code></p></td></tr><tr><td>4</td><td>PGR</td><td><code>digit-ui/citizen/pgr-home</code></td><td><code>pgr-services/v2/request/_search</code></td><td><p><code>{</code><br><code>tenantId : ""</code></p><p><code>}</code></p></td></tr><tr><td>5</td><td>BPA</td><td><code>digit-ui/citizen/obps-home</code></td><td><code>inbox/v1/dss/_search</code></td><td><p><code>{</code></p><p><code>module: "BPA"</code></p><p><code>tenantId: ""</code></p><p><code>}</code></p></td></tr><tr><td>6</td><td>MCOLLECT</td><td><code>digit-ui/citizen/mcollect-home</code></td><td><code>echallan-services/eChallan/v1/_search</code></td><td><p><code>{</code><br><code>tenantId : ""</code></p><p><code>}</code></p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/local-governance/access/local-governance-stack/citizen-engagement-module/survey/survey-service-configuration/help-faq-section-citizen-ui.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
